stable

glibc-2.28-20.fc29

FEDORA-2018-6945150e0d created by fweimer 5 years ago for Fedora 29

This rollup update brings the glibc package up to date with the upstream 2.28 release branch. It contains the following fixes:

  • Fix a crash in getaddrinfo_a if the creation of the helper thread fails (#1646381)
  • x86: Disable CET for binaries created by older link editors (#1648297)
  • x86: Fix Haswell CPU string flags (swbz#23709)
  • stdlib/test-bz22786: Avoid spurious test failures using alias mappings
  • signal: Use correct type for si_band in siginfo_t (swbz#23562)
  • pthread_mutex_lock: Fix race while promoting to PTHREAD_MUTEX_ELISION_NP (swbz#23275)
  • i386: Use _dl_runtime_resolve_shstk, _dl_runtime_profile_shstk forCET (swbz#23716)
  • kl_GL: Fix spelling of Sunday, should be "sapaat" (swbz#20209)
  • preadv2/pwritev2: Fix misreported errno (swbz#23579)
  • pthread_spawn: Fix potential segfault in maybe_script_execute
  • RISC-V: Move libc_fesetround_riscv after libc_feholdexcept_riscv
  • Add an additional test to resolv/tst-resolv-network.c (swbz#17630)
  • malloc: Additional heap integrity checks
  • nscd: Fix use-after-free in addgetnetgrentX (swbz#23520)
  • Add newlines in __libc_fatal calls (swbz#20271)
  • time: Fix tzfile low-memory assertion failure (swbz#21716)
  • Update system call list to Linux 4.19

How to install

Updates may require up to 24 hours to propagate to mirrors. If the following command doesn't work, please retry later:

sudo dnf upgrade --refresh --advisory=FEDORA-2018-6945150e0d

This update has been submitted for testing by fweimer.

5 years ago

fweimer edited this update.

5 years ago

This update has been pushed to testing.

5 years ago
User Icon filiperosset commented & provided feedback 5 years ago
karma

no regressions noted

User Icon pwalter commented & provided feedback 5 years ago
karma

Works

User Icon bojan commented & provided feedback 5 years ago
karma

Works.

This update has been submitted for batched by bodhi.

5 years ago
User Icon nomos commented & provided feedback 5 years ago
karma

Tested on local machine. Compiling test files works.

This update has been submitted for stable by bodhi.

5 years ago

This update has been pushed to stable.

5 years ago
User Icon nerijus commented & provided feedback 5 years ago
karma

Problem: package glibc-headers-2.28-17.fc29.i686 requires glibc = 2.28-17.fc29, but none of the providers can be installed - cannot install both glibc-2.28-20.fc29.i686 and glibc-2.28-17.fc29.i686 - cannot install both glibc-2.28-17.fc29.i686 and glibc-2.28-20.fc29.i686 - cannot install both glibc-2.28-20.fc29.x86_64 and glibc-2.28-17.fc29.x86_64 - cannot install both glibc-2.28-17.fc29.x86_64 and glibc-2.28-20.fc29.x86_64 - cannot install the best update candidate for package glibc-2.28-17.fc29.i686 - cannot install the best update candidate for package glibc-2.28-17.fc29.x86_64


Please login to add feedback.

Metadata
Type
bugfix
Severity
low
Karma
3
Signed
Content Type
RPM
Test Gating
Settings
Unstable by Karma
-3
Stable by Karma
3
Stable by Time
disabled
Dates
submitted
5 years ago
in testing
5 years ago
in stable
5 years ago
modified
5 years ago
BZ#1646381 glibc: Crash in getaddrinfo_a when thread creation fails
0
0
BZ#1648297 glibc: Disable CET for binaries created by older link editors
0
0

Automated Test Results